--- a/src/amd/vulkan/meta/radv_meta_copy.c
+++ b/src/amd/vulkan/meta/radv_meta_copy.c
@@ -262,17 +262,18 @@ radv_CmdCopyBufferToImage2(VkCommandBuffer commandBuffer, const VkCopyBufferToIm
 
       const enum util_format_layout format_layout = vk_format_description(dst_image->vk.format)->layout;
       for (unsigned r = 0; r < pCopyBufferToImageInfo->regionCount; r++) {
-         if (format_layout == UTIL_FORMAT_LAYOUT_ASTC) {
-            radv_meta_decode_astc(cmd_buffer, dst_image, pCopyBufferToImageInfo->dstImageLayout,
-                                  &pCopyBufferToImageInfo->pRegions[r].imageSubresource,
-                                  pCopyBufferToImageInfo->pRegions[r].imageOffset,
-                                  pCopyBufferToImageInfo->pRegions[r].imageExtent);
-         } else {
+	// XXX: current astc work is omega trash
+         //if (format_layout == UTIL_FORMAT_LAYOUT_ASTC) {
+         //   radv_meta_decode_astc(cmd_buffer, dst_image, pCopyBufferToImageInfo->dstImageLayout,
+         //                         &pCopyBufferToImageInfo->pRegions[r].imageSubresource,
+         //                         pCopyBufferToImageInfo->pRegions[r].imageOffset,
+         //                         pCopyBufferToImageInfo->pRegions[r].imageExtent);
+         //} else {
             radv_meta_decode_etc(cmd_buffer, dst_image, pCopyBufferToImageInfo->dstImageLayout,
                                  &pCopyBufferToImageInfo->pRegions[r].imageSubresource,
                                  pCopyBufferToImageInfo->pRegions[r].imageOffset,
                                  pCopyBufferToImageInfo->pRegions[r].imageExtent);
-         }
+         //}
       }
    }
 }
@@ -613,15 +614,16 @@ radv_CmdCopyImage2(VkCommandBuffer commandBuffer, const VkCopyImageInfo2 *pCopyI
             dst_extent.height = dst_extent.height / vk_format_get_blockheight(src_image->vk.format) *
                                 vk_format_get_blockheight(dst_image->vk.format);
          }
-         if (format_layout == UTIL_FORMAT_LAYOUT_ASTC) {
-            radv_meta_decode_astc(cmd_buffer, dst_image, pCopyImageInfo->dstImageLayout,
-                                  &pCopyImageInfo->pRegions[r].dstSubresource, pCopyImageInfo->pRegions[r].dstOffset,
-                                  dst_extent);
-         } else {
+	// XXX: current astc work is omega trash
+         //if (format_layout == UTIL_FORMAT_LAYOUT_ASTC) {
+         //   radv_meta_decode_astc(cmd_buffer, dst_image, pCopyImageInfo->dstImageLayout,
+         //                         &pCopyImageInfo->pRegions[r].dstSubresource, pCopyImageInfo->pRegions[r].dstOffset,
+         //                         dst_extent);
+         //} else {
             radv_meta_decode_etc(cmd_buffer, dst_image, pCopyImageInfo->dstImageLayout,
                                  &pCopyImageInfo->pRegions[r].dstSubresource, pCopyImageInfo->pRegions[r].dstOffset,
                                  dst_extent);
-         }
+         //}
       }
    }
 }
